HUGO-NEW(1)

NAME

hugo-new - Create new content for your site

SYNOPSIS

hugo new [path] [flags]

DESCRIPTION

Create a new content file and automatically set the date and title. It will guess which kind of file to create based on the path provided.

You can also specify the kind with -k KIND.

If archetypes are provided in your theme or site, they will be used.

Ensure you run this within the root directory of your site.

OPTIONS

-b, --baseURL=""
    hostname (and path) to the root, e.g. ⟨http://spf13.com/⟩

-D, --buildDrafts[=false]
    include content marked as draft

-E, --buildExpired[=false]
    include expired content

-F, --buildFuture[=false]
    include content with publishdate in the future

--cacheDir=""
    filesystem path to cache directory. Defaults: $TMPDIR/hugo_cache/

--cleanDestinationDir[=false]
    remove files from destination not found in static directories

-c, --contentDir=""
    filesystem path to content directory

-d, --destination=""
    filesystem path to write files to

--disableKinds=[]
    disable different kind of pages (home, RSS etc.)

--editor=""
    edit new content with this editor, if provided

--enableGitInfo[=false]
    add Git revision, date and author info to the pages

-e, --environment=""
    build environment

--forceSyncStatic[=false]
    copy all files when static is changed.

--gc[=false]
    enable to run some cleanup tasks (remove unused cache files) after the build

-h, --help[=false]
    help for new

--i18n-warnings[=false]
    print missing translations

--ignoreCache[=false]
    ignores the cache directory

-k, --kind=""
    content type to create

-l, --layoutDir=""
    filesystem path to layout directory

--minify[=false]
    minify any supported output format (HTML, XML etc.)

--noChmod[=false]
    don't sync permission mode of files

--noTimes[=false]
    don't sync modification time of files

-s, --source=""
    filesystem path to read files relative from

--stepAnalysis[=false]
    display memory and timing of different steps of the program

--templateMetrics[=false]
    display metrics about template executions

--templateMetricsHints[=false]
    calculate some improvement hints when combined with --templateMetrics

-t, --theme=[]
    themes to use (located in /themes/THEMENAME/)

--themesDir=""
    filesystem path to themes directory

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo(1), hugo-new-site(1), hugo-new-theme(1)